<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
{
    Schema::create('analisa', function (Blueprint $table) {
        $table->id();
        $table->enum('type', ['unit', 'tanah_bangunan']);
        $table->unsignedBigInteger('permohonan_id');
        $table->foreign('permohonan_id')->references('id')->on('permohonan');
        $table->string('luas');
        $table->unsignedBigInteger('jenis_jaminan_id');
        $table->char('authorized_status', 1)->nullable();
        $table->timestamps();
        $table->timestamp('authorized_at')->nullable();
        $table->unsignedBigInteger('authorized_by')->nullable();
        $table->softDeletes();
        $table->unsignedBigInteger('created_by')->nullable();
        $table->unsignedBigInteger('updated_by')->nullable();
        $table->unsignedBigInteger('deleted_by')->nullable();
    });
}


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('analisa');
    }
};
